import math, Image, ImageDraw

colors = [
    [255, 0, 0],
    [0, 255, 0],
    [0, 0, 255],
    [255, 255, 0],
    [255, 0, 255],
    [0, 255, 255],
    [255, 255, 255],
    [128, 128, 128],
    [0, 128, 255],
    [0, 255, 128],
    [128, 255, 0],
    [255, 128, 0],
    [255, 0, 128],
    [255, 128, 128],
    [128, 255, 128],
    [128, 128, 255],
    [128, 255, 255],
    [255, 128, 255],
    [255, 255, 128]
    ]

resolution = 256

def getWeight(xp, yp):
    global resolution
    height = 1.
    x = resolution/2.
    y = resolution/2.
    std = resolution/8.
    return height*math.exp(-(xp-x)*(xp-x)/(2*std*std) - (yp-y)*(yp-y)/(2*std*std))

weights = []

for col in xrange(resolution):
    weights.append([])
    for row in xrange(resolution):
        weights[col].append(getWeight(col, row))



for i,color in enumerate(colors):
    img = Image.new("RGB",(resolution,resolution))
    draw = ImageDraw.Draw(img)

    for x,col in enumerate(weights):
        for y,weight in enumerate(col):
            draw.point((x,y), fill=( int(color[0]*weight), int(color[1]*weight), int(color[2]*weight) ) )

    img.save("gaussian"+str(i)+".png", "PNG")
    if i==0:
        img.show()
            
            
            
